/** 
 * menu.css
 * Mike
 * Override for top dobule top e side menu
 */

:root {
/* Usage
    color: var(--color-primary); 
*/
  --color-primary: #952300; 
  --color-white: #ffffff;
}



div.strcontent{
    min-height: 700px;
    height: auto;
    margin-top: 160px;
}

main.home div.strcontent {
    margin-top: 165px;
}

@media(max-width: 575px){
	div.strcontent{

	}	
}


span.hamburger.hamburger--slider {
	padding: 6px;
    margin-top: 1rem;
}

/*********************************************************************
 * DOUBLE & TOP MENU
 *
 */

/* Common values margini */
.navbar li.nav-item {
    margin-left: 5px;
    margin-right: 5px;
}


/*Double Top */
.navbar .u-main-nav-v8 .nav-item.hs-has-sub-menu > a, .navbar .u-main-nav-v8 .nav-item.hs-has-mega-menu > a, .navbar .u-main-nav-v8 .nav-item.dropdown > a {
    padding: 0.78571rem 1.04286rem;
    padding-right: 2rem;
}

/*Double Top Freccia apertura sub*/
.navbar .u-main-nav-v8 .nav-item.hs-has-sub-menu > a::after, .navbar .u-main-nav-v8 .nav-item.hs-has-mega-menu > a::after, .navbar .u-main-nav-v8 .nav-item.dropdown > a::after {
    right: 0.82885rem;
}


/* Flat Top*/
.navbar .u-main-nav-v1 .nav-link {
    padding: 0.78571rem 1.84286rem;
}

@media (max-width: 1199px){
.navbar .u-main-nav-v1 .nav-link {
    padding: 0.78571rem 0.934286rem;
}
}



/* Da usare con tutti i sticky menu top top menu u-header--sticky-top 
div.strcontent {
	margin-top:120px;
}
*/

.navbar .u-main-nav-v8 .nav-item.active > .nav-link, .navbar .u-main-nav-v8 .nav-item:hover > .nav-link, .navbar .u-main-nav-v8 .nav-item:focus > .nav-link, .navbar .u-main-nav-v8 .nav-item.show > .nav-link, .navbar .u-main-nav-v8 .nav-item.hs-sub-menu-opened > .nav-link, .navbar .u-main-nav-v8 .nav-item .nav-link:focus{

}

nav.navbar {

}


/*********************************************************************
 * SIDE MENU
 *
 */

div#sidemenu ul.list-group {
 margin-bottom: 0.5rem;   
}

div#sidemenu .list-group-item {
    padding: 0;
}

div#sidemenu li.list-group-item.active{
    border: 0px none;
}

div#sidemenu li {
    list-style-type: none;
}

div#sidemenu li.list-group-item a{
    display: block;
    text-decoration: none;
    padding: 6px 30px 6px 17px;
}

div#sidemenu li.list-group-item.active a{
    color: white;
    font-weight: bold;
}

div#sidemenu li.list-group-item.active ul.submenu-list li a{
    border-radius: 5px 0 0 5px;
    font-size: small;
    margin: 2px 0;
    font-weight: normal;
}

div#sidemenu li.list-group-item.active ul.submenu-list li  a:hover{
/*    background-color: #555;*/
    border-radius: 5px 0 0 5px;
} 

div#sidemenu li.list-group-item a:hover{
    background-color: var(--color-primary); /*Copiare Primary*/
    border-radius: 5px 5px;
    color: white;
} 

li.list-group-item.active .submenu-list li.last{
    margin-bottom: 1rem;
}

list-group-item.active, li.list-group-item.active .submenu-list li.active a{
    font-weight: bold !Important;
}

ul.submenu-list{
   padding: 0px 0 0 15px;
}

.sidebar-nav-v1 li.list-group-item.active .submenu-list a {
    font-weight: normal;
}




/*********************************************************************
 * FLAT TOP MENU
 *
 */

/* SPLITTED MENU NAV */

div.splitted-nav .nav-item .nav-link {
    padding: 0.78571rem 1.04286rem;    
}
div.splitted-nav .logo {
    display: none;
}

div.splitted-nav .navbar li.nav-item {
    margin-left: 15px;
    margin-right: 15px;
}

@media (max-width: 1199px){
    div.splitted-nav .navbar li.nav-item {
    margin-left: 5px;
    margin-right: 5px;
}
}
    
/* Horizontal Nav FLEX */

div.topbar-flex {
    display: flex;
    justify-content: space-between;
    align-items: center;
    align-content: center;
}

div.topbar-flex div.right-side {
    display: flex;
    justify-content: flex-end;
}
div.topbar-flex div.center-side {
    display: flex;
    justify-content: space-between;
}
div.topbar-flex div.left-side {
    display: flex;
    justify-content: flex-start;
}

a.topbar-brand-h img {
    width: 45px;
    height: auto;
    margin-left: auto;
    margin-right: auto;
}

a.topbar-brand-h img:hover {
    filter:brightness(0%) invert(100%);
}

a.topbar-brand-i img {
    width: 40px;
    height: auto;
    padding-top: 5px;
    margin-left: auto;
    margin-right: auto;
}

a.topbar-brand-i img:hover {
    filter: drop-shadow(0px 0px 1px rgba(55, 74, 94, 0.5));}

/* HAMBURGER MENU TOPBAR 5 */

div.nav-mobile div.dropdown-menu {
    min-width: 10rem;
}

@media (max-width:575px){
div.nav-mobile div.dropdown-menu {
    left: -15px !important;
}
}

@media (min-width:576px) and (max-width:699px) {
div.nav-mobile div.dropdown-menu {
    left: -40px !important;
/*    right: 15px !important;*/
}
}

@media (min-width:700px) and (max-width:767px) {
div.nav-mobile div.dropdown-menu {
    left: -100px !important;
/*    right: 15px !important;*/
}
}

@media (min-width:768px) and (max-width:1199px) {
div.nav-mobile div.dropdown-menu {
    left: -77px !important;
/*    right: 15px !important;*/
}
}

@media (min-width:1200px) {
div.nav-mobile div.dropdown-menu {
    left: -50px !important;
/*    right: 15px !important;*/
}
}

div.nav-mobile button {
    padding: 0px !important;

}

div.nav-mobile button:active, div.nav-mobile button:hover {
    border: 1px solid var(--color-primary) !important;
    background-color: var(--color-primary) !important; 
}

@media (min-width: 576px){    
    div.nav-mobile button i {
/*    color: var(--color-primary) !important;*/
    padding: .555rem .75rem;
    margin: 0px !important;
/*    background-color: white;*/
    border-radius: 3px;
    font-size: 1.15rem;  
}
}

@media (max-width: 575px){
    div.nav-mobile {
    display: inherit;
    position: fixed;
    width: 60px;
    height: 55px;
    margin: 0px;    
    bottom: 3%;
    left: 5%;
}

    div.nav-mobile button {
    border: 1px solid var(--color-primary);  
    box-shadow: 0px 3px 5px rgba(75, 75, 75, 0.75);
    border-radius: 50%;
    width: 55px;
} 

    div.nav-mobile button i { 
    font-size: 1.5rem;  
}
}

/* SOCIALS MENU TOPBAR 5 */

div.dropdown-menu.social {
    min-width: auto;
    }

div.socials-container {
    width: 40px;
    position: absolute;
/*    left: -1px;*/
    background-color: var(--color-primary);
    border-radius: 0 0 .25rem .25rem !important;
/*    box-shadow: 0px 3px 5px rgba(75, 75, 75, 0.75);*/
}

@media (max-width:245px){
div.socials-container {
    left: 15px !important;
    }
}

div.socials-container i {
    font-size: 1.15rem !important;
    text-align: center;
    padding: 15px 11px !important;
}

ul socials.list-inline {
    padding: 10px 0px !important;
    position: absolute;
    bottom: 5px;
    left: 50px;
}

/* LANGUAGE TOPBAR 5 */
div.right-side.lang-mobile ul.rounded-bottom {
    border-radius: 0 0 .25rem .25rem !important;
}

/* CONTACTS MENU TOPBAR 6 */
div.contacts-mobile div.dropdown-menu {
    position:absolute !important;
    top: -8px !important;
    left: -5px !important;
    min-width: 10rem;
    color: var(--color-primary) !important;
    border: 1px solid rgba(0,0,0,.15);
    border-radius: 15px;  
    z-index: 1000 !important;
/*    border-radius: 0 0 .25rem .25rem !important;*/
}


div.contacts-mobile button.btn {
    background-color: white !important;      
}

div.contacts-mobile button.btn i {
    color: var(--color-primary) !important;      
}

div.contacts-container i {
    font-size: 1.15rem !important;
    text-align: center;
    padding: 0px 11px !important;
}

ul contacts.list-inline {
    padding: 10px 0px !important;
    position: absolute;
    bottom: 5px;
    left: 50px;
}

div.nav-mobile-onlight button {
    padding: 0px !important;
    color: var(--color-primary) !important; 
    background-color: var(--color-white) !important; 
}

div.nav-mobile-onlight button:active, div.nav-mobile-onlight button:hover {
/*    background-color: var(--color-white) !important; */
}


/* SOCIALS MENU TOPBAR 6 */
div.dropdown-menu.socials {
    border: 0px none;
    min-width: 2rem;
}

div.socials-menu div.dropdown-menu.socials {
    position:absolute !important;
    top: 5px !important;
    left: -5px !important;
}

div.socials-menu button.btn {
    background-color: white !important;      
}

div.socials-menu button.btn i {
    color: var(--color-primary) !important;      
}

div.socials-menu div.dropdown-menu.socials ul {
    width: 50px;
    position: absolute;
    top: -16px;
    left: 0px;
    padding-top: 0px;
    padding-bottom: 0px;
    background-color: var(--color-primary) !important;
    border-radius: 15px !important;
    align-content: center !important;
}



div.socials-menu div.dropdown-menu.socials ul li {
    margin: 10px 9px !important;
}

@media (min-width:768px) {
div.socials-menu div.dropdown-menu.socials ul li:not(:first-child) {
    margin: 20px 9px !important;
}
div.socials-menu div.dropdown-menu.socials ul li:last-child {
    margin: 10px 9px !important;
}
}

@media (max-width:767px) {
div.socials-menu div.dropdown-menu.socials ul {
    width: 60px;
}
div.socials-menu div.dropdown-menu.socials ul li {
    margin: 14px 14px !important;
}
div.socials-menu div.dropdown-menu.socials ul li:not(:first-child) {
    margin: 25px 14px 14px 14px !important;
}
}


div.socials-menu div.dropdown-menu.socials ul li a {
    background-color: var(--color-white) !important;
    border-radius: 8px !important;
}

div.socials-menu div.dropdown-menu.socials ul li a.u-icon-v3.u-icon-size--xs {

}

div.socials-menu div.dropdown-menu.socials ul li a i {
    color: var(--color-primary) !important;      
}

div.nav-mobile-onlight div.dropdown-menu {
    min-width: 10rem;
    position:absolute !important;
    top: -8px !important;
    left: -45px !important;
    border: 1px solid rgba(0,0,0,.15);
    border-radius: 15px;    
    
    
}

@media (max-width:575px){
div.nav-mobile-onlight div.dropdown-menu {
    left: -15px !important;
}
}

/* LANGUAGE MENU TOPBAR 6 */
div.language-mobile {
/*    position:absolute !important;
    left: -30px !important;*/
}

div.language-mobile ul {
    border: 1px solid rgba(0,0,0,.15);
    border-radius: 15px;
}

div.language-mobile ul li{
    padding: 10px 0px 10px 0px;
}
div.language-mobile ul li:not(:first-child) {
    padding: 10px 0px 10px 0px !important;
}


div.language-mobile a {
    width: 9rem !important;
}

div.language-mobile img.lang-flag {
    width: 30px !important;
}

@media (max-width:767px) {
    div.language-mobile a {
    width: 5rem !important;
    margin-right: -3px!important; 
}
    div.language-mobile span.lang-title {
    display: none !important;
}
}

form.butter {
    border-radius: 30px !important;
    box-shadow: 0 15px 20px 0 rgba(0,0,0,.2) !important;
/*    box-shadow: 0px 3px 5px rgba(75, 75, 75, 0.75);*/
}

form.butter input {
    border: 1px solid rgba(0,0,0,.15) !important;
    border-radius: 15px 0px 0px 15px !important;
}

form.butter div button {
    border-radius: 0px 15px 15px 0px !important;
}


/* TOPBAR 7 */

div a.topbar-7-contacts {
    position: relative;
    top: 5px;
}


/* TOPBAR MOBILE EMBEDDED */
/* LANG FLAG SIZE */
div.embedded-language-mobile img.lang-flag {
    width: 18px !important;
}